Bug 12826 - GST / VAT rewrite - plumbing
Summary: GST / VAT rewrite - plumbing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 12827 12830 12839 12840 12841 12844 12896 12964 12970 12980 13320
Blocks: 12825 13318 13321
  Show dependency treegraph
 
Reported: 2014-08-26 14:03 UTC by Jonathan Druart
Modified: 2016-06-21 21:36 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12827: NewOrder should not return basketno (18.75 KB, patch)
2014-08-26 15:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12827: NewOrder needs more unit tests (6.50 KB, patch)
2014-08-26 15:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-08-26 14:03:21 UTC
Omnibus for the plumbing part of the GST / VAT rewrite.
This is the preparation step before the rewrite.
Some inconsistencies need to be fixed.
Comment 1 Jonathan Druart 2014-08-26 15:20:20 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-08-26 15:20:23 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-08-27 08:02:58 UTC
These 2 patches should have been submitted on bug 12827...
Comment 4 Jonathan Druart 2014-08-28 10:33:30 UTC
I would like to refactor some codes related to order and bookseller.
It would be great to move this related code from C4::Acquisition to Koha::Acquisition::*

A POC is available on bug 12830.
Some plumbing patches will be marked as depend on this bug.

The goal is to refactor/clean/add unit tests without adding any regression/functionality. Like that, no need to wait for the entire feature (bug 12825) to start to push patches into master.
Comment 5 Jonathan Druart 2015-08-20 09:02:12 UTC
The plumbing is done!